routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::group(['middleware' => ['auth']], function () {
Route::resource('recettes', 'RecettesController');
Route::resource('ingredients', 'IngredientsController');
Route::resource('homes', 'RecettesController');
Route::resource('categories', 'CategoriesController');
});

Route::get('/', function () {
    return view('home');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

app/ingredients.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use App\recettes;

class ingredients extends Model
{
  public function recettes()
 {
     return $this->belongsToMany(recettes::class, 'ingredients_recettes');
 }
}

app/Http/Controllers/IngredientsController.php
<?php

namespace App\Http\Controllers;

use App\ingredients;
use Illuminate\Http\Request;

class IngredientsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
      $ingredients = ingredients::all();
      return view('ingredients.index',['ingredients' => $ingredients]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('ingredients.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
     public function store(Request $request)
     {
       $inputs = $request->except('_token');
       $ingredient = new ingredients();
       foreach ($inputs as $key => $value) {
           $ingredient->$key = $value;
       }
       $ingredient->save();

       return redirect(route('ingredients.index'))->with('success', 'Experience enregistré avec succès !');
     }

    /**
     * Display the specified resource.
     *
     * @param  \App\ingredients  $ingredients
     * @return \Illuminate\Http\Response
     */
    public function show(ingredients $ingredients)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\ingredients  $ingredients
     * @return \Illuminate\Http\Response
     */
     public function edit($id)
     {
       $ingredient = ingredients::find($id);
       return view('ingredients.edit', ['ingredient' => $ingredient]);
     }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\ingredients  $ingredients
     * @return \Illuminate\Http\Response
     */
     public function update(Request $request, $id)
     {
       $inputs = $request->except('_token', '_method');
       $ingredient = ingredients::find($id);
       foreach ($inputs as $key => $value) {
         $ingredient->$key = $value;
       }
       $ingredient->save();

       return redirect(route('ingredients.index'))->with('success', 'Experience mis a jour avec succès !');
     }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\ingredients  $ingredients
     * @return \Illuminate\Http\Response
     */
     public function destroy($id)
     {
         $ingredient = ingredients::find($id);
         $ingredient->delete();

         return redirect(route('ingredients.index'))->with('succes', 'Experience mis à jour avec succès !');
     }
}

resources/views/ingredients/create.blade.php
@extends('template.app')

@section('title', 'Créer - ingredient')

@section('contenu')
<div class="card">
    <div class="card-header">Créer une ingredient</div>
    <div class="card-content">
        <form class="form-material" method="POST" action="{{route('ingredients.store')}}">
            @csrf
            <div class="grix xs1">
                <div class="form-field">
                    <input type="text" id="title" name="name" class="form-control" />
                    <label for="name">Nom</label>
                </div>
                <div class="form-field">
                    <label for="description">Description</label>
                    <textarea id="description" name="description" class="form-control"></textarea>
                </div>
            </div>
            <button type="submit" class="btn press primary">Créer</button>
        </form>
    </div>
</div>
@endsection

resources/views/ingredients/edit.blade.php
@extends('template.admin')

@section('title', 'Editer - ingredient')

@section('contenu')
<div class="card">
    <div class="card-header">Editer une ingredient</div>
    <div class="card-content">
        <form class="form-material" method="POST" action="{{route('ingredients.update', ['ingredient' => $ingredient->id])}}">
            @method('PUT')
            @csrf
            <div class="grix xs1">
                <div class="form-field">
                    <input type="text" id="title" name="name" class="form-control" value="{{$ingredient->name}}" />
                    <label for="title">Titre</label>
                </div>
                <div class="form-field">
                    <label for="description">Description</label>
                    <textarea id="description" name="description" class="form-control">{{$ingredient->description}}</textarea>
                </div>
            </div>
            <button type="submit" class="btn press secondary">Mettre à jour</button>
        </form>
    </div>
</div>
@endsection

resources/views/ingredients/index.blade.php
@extends('template.app')

@section('title', 'Mes ingredients')

@section('contenu')
<div class="responsive-table">
    <table class="table">
        <thead>
            <tr>
                <th>#</th>
                <th>Nom</th>
                <th>Description</th>
            </tr>
        </thead>
        <tbody>
          <a href="{{route('ingredients.create')}}"class="btn blue"
        <span class="outline-text">Ajouter ingredient</span>
      </a>
            @foreach($ingredients as $ingredient)
            <tr>
                <td>{{$ingredient->id}}</td>
                <td>{{$ingredient->name}}</td>
                <td>{{$ingredient->description}}</td>
                <td>
                <div class="flex">
                    <a href="{{route('ingredients.edit', ['ingredient' => $ingredient->id])}}" class="btn circle secondary">
                        <i class="fas fa-pen"></i>
                    </a>
                    <form method="POST" action="{{route('ingredients.destroy', ['ingredient' => $ingredient->id])}}">
                        @method('DELETE')
                        @csrf
                        <button type="submit" class="ml-2 btn circle red dark-1">
                            <i class="fas fa-trash"></i>
                        </button>
                    </form>
                </div>
            </tr>
            @endforeach
        </tbody>
    </table>
</div>
@endsection